const dbcontroller = require('../db');

const createIpxData = async function (data) {
  try {
    data.ipxModules.forEach(async module => {
      await dbcontroller.addIPXData(data.id, module.parent, module.mac, { date: module.read, tags: module.tags })
    });
    return { success: true }
  } catch (e) {
    throw new Error(e.message)
  }
}

module.exports = {
  createIpxData,
}
